/**
 * Values accepted by AttributeListComponent's mode input property. Determines the type of the list: Primary stands for
 * the upper attributes list that holds the attributes displayed in list-view, while Secondary stands for the lower
 * attributes list that holds the attributes displayed in detail-view.
 *
 * @internal
 */
export declare const AttributeListRole: {
    readonly Pirmary: "primary";
    readonly Secondary: "secondary";
};
/**
 * Type of values accepted by AttributeListComponent's mode input property.
 *
 * @internal
 */
export type TAttributeListRole = (typeof AttributeListRole)[keyof typeof AttributeListRole];
/**
 * Values accepted by AttributeListComponent's kind input property. Determines the visual style of the list.
 */
export declare const AttributeListKind: {
    readonly Default: "default";
    readonly Narrow: "narrow";
};
/**
 * Type of values accepted by AttributeListComponent's kind input property.
 */
export type TAttributeListKind = (typeof AttributeListKind)[keyof typeof AttributeListKind];
