import * as i0 from "@angular/core";
/**
 * The further information of a data item is divided into different tabs to get a better overview of the presented data.
 * This component represents one general tab.
 *
 * ```html
 * <talenra-detail-view-information-tab
 *   [iconType]="assignment"
 *   [counter]="10"
 * ></talenra-detail-view-information-tab>
 * ```
 */
export declare class DetailViewInformationTabComponent {
    /**
     * Input attributes to set icon and badge count of tab component.
     */
    iconType: import("@angular/core").InputSignal<string>;
    /**
     * The counter is used to display the number of items in the tab.
     */
    counter: import("@angular/core").InputSignalWithTransform<number, unknown>;
    /**
     * The maximum value to display. If the actual value is greater than the max value, the max value will be displayed
     * followed by a plus sign.
     */
    maxBadgeCounter: import("@angular/core").InputSignalWithTransform<number, number | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailViewInformationTabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailViewInformationTabComponent, "talenra-detail-view-information-tab", never, { "iconType": { "alias": "iconType"; "required": true; "isSignal": true; }; "counter": { "alias": "counter"; "required": false; "isSignal": true; }; "maxBadgeCounter": { "alias": "maxBadgeCounter"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
