import { OnDestroy, OnInit } from '@angular/core';
import { InboxDetailViewService } from '../../inbox-detail-view.service';
import { IInboxTabBarItem } from '../../../../shared/interfaces/inbox-tab-bar-item.interface';
import * as i0 from "@angular/core";
/**
 * Responsible to deal with further information of a data item.
 *
 * ```html
 * <talenra-detail-view-information
 *   [key]="detailViewItem.key"
 *   [label]="detailViewItem.label"
 *   [icon]="detailViewItem.icon"
 *   [useScroll]="true"
 * ></talenra-detail-view-information>
 * ```
 */
export declare class DetailViewInformationComponent implements OnInit, OnDestroy {
    /**
     * The data item information tab bar item.
     */
    detailViewTab: import("@angular/core").InputSignal<IInboxTabBarItem>;
    /**
     * The public service of the inbox detail view.
     */
    inboxDetailViewService: InboxDetailViewService;
    /**
     * The binding for the class attribute of the host element.
     * @internal
     */
    private className;
    /**
     * The subscriptions of this component.
     * @internal
     **/
    private subscriptions;
    /**
     * Initializes the component.
     * @internal
     */
    ngOnInit(): void;
    /**
     * Unsubscribes from all subscriptions.
     * @internal
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DetailViewInformationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DetailViewInformationComponent, "talenra-detail-view-information", never, { "detailViewTab": { "alias": "detailViewTab"; "required": true; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
