import * as i0 from "@angular/core";
/**
 * Actions that can be performed on group header, that are be able to be disabled.
 */
export declare const InboxAccordionActions: {
    readonly Visibility: "visibility";
    readonly Upward: "upward";
    readonly Downward: "downward";
};
/**
 * Type of actions which can be performed on a header of an accordion.
 */
export type TInboxAccordionActions = (typeof InboxAccordionActions)[keyof typeof InboxAccordionActions];
export declare class AccordionComponent {
    /** Title displayed in the Accordion's head. */
    title: import("@angular/core").InputSignal<string>;
    /**
     * The actions that are disabled or hidden.
     */
    disabledHiddenActions: import("@angular/core").InputSignal<TInboxAccordionActions[]>;
    /**
     * Whether the accordion is disabled.
     */
    hiddenState: import("@angular/core").InputSignal<boolean | undefined>;
    /** Actions emmiter. */
    action: import("@angular/core").OutputEmitterRef<TInboxAccordionActions>;
    /** Whether the accordion is expanded */
    isExpanded: import("@angular/core").WritableSignal<boolean>;
    /** Toggle accorion */
    protected toggle(): void;
    /** Emit action */
    onAction(action: TInboxAccordionActions, mouseEvent: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "talenra-inbox-accordion", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "disabledHiddenActions": { "alias": "disabledHiddenActions"; "required": false; "isSignal": true; }; "hiddenState": { "alias": "hiddenState"; "required": false; "isSignal": true; }; }, { "action": "action"; }, never, ["*"], true, never>;
}
