/**
 * Model to identify a data item with identifier (key of data item) and value.
 * The identifier paired with the value is used to identify a specific data item.
 *
 * @example
 * import { IDataItemId } from '@talenra/ngx-inbox';
 *
 * dataItem: IDataItemId =
 *    {
 *    identifier: 'caseTypeName',
 *    value: '1234352',
 *    };
 */
export interface IDataItemId {
    /**
     * Identifier key of the data item attribute, which is used to identify specific data item.
     */
    identifier: string;
    /**
     * Value which is accessed by the identifier.
     */
    value: string;
}
