/**
 *  ISelectedAttributesInput is used to define which attribute identifiers are selected and displayed in the main or detail section.
 *
 * @example
 * import { ISelectedAttributesInput } from '@talenra/ngx-inbox';
 *
 * const selectedAttributeInput: ISelectedAttributesInput = { identifier: 'caseId', defaultAttribute: 'main' };
 */
export interface ISelectedAttributesInput {
    /**
     * The identifier of the attribute which is selected.
     */
    identifier: string;
    /**
     * Decides if the attribute is displayed in the main or detail section.
     */
    defaultAttribute: 'main' | 'detail';
}
